import {create} from "axios";


// Init a new axios instance, with auth
const instance = create({
    baseURL: 'https://cloud.openshot.org'
});

// Init a new axios instance, with auth
const blob_instance = create({});

// Set the AUTH token for any request
instance.interceptors.request.use(function (config) {
    const token = localStorage.auth
    config.headers.Authorization =  token ? token : '';
    return config;
});

function fixImageDuration(duration) {
    if (duration == 3600) {
        return 30
    } else {
        return duration
    }
}

export { instance, blob_instance, fixImageDuration };